<link href='https://fonts.googleapis.com/css?family=Muli' rel='stylesheet'>

<style>


table {
    font-family: 'Muli';
    font-size: 22px;
    @font-weight: 800;
}
</style>

  <?php
$usuario = $_COOKIE["usuario"];
$nivel = $_COOKIE["nivel"];
$fecha1 = $_GET["fecha1"];
$fecha2 = $_GET["fecha2"];
if($nivel=="Master"){$usuario="";}

if($fecha1==""){$fecha1 = $hoy;}
if($fecha2==""){$fecha2 = $hoy;}

	include_once("../header.php");
	
	
        include_once("../php/config.php");
		 mysql_query("UPDATE ventas SET ticket=cliente, estado='Cerrada' where pagado>0 and ticket='COTIZACION' order by id_venta desc") or die(mysql_error());

if($_GET["filtro"]>0){
  $sql = mysql_query("select * from ventas where folio= '".$_GET['filtro']."' and ticket!='COTIZACION' and estado='Cerrada' order by id_venta desc") or die(mysql_error());

}else{
        $sql = mysql_query("select * from ventas where fecha between '$fecha1' and '$fecha2' and estado!='Anulada'  and total>0 and CONCAT(cliente,'',ticket) like '%".$_GET['filtro']."%' and ticket!='COTIZACION' and estado='Cerrada' order by id_venta desc") or die(mysql_error());
}
	?>

<style>
  .form-control{
    font-size: 14px;
  }


b{
    font-size: 18px;
  }

  th{
    font-size:18px;
    text-align: left;
  }

    td{
    font-size:13px;
  }
</style>
    <div class="container">
<span class="text-primary h3"><i class="bi bi-calendar-check"></i> Consulta de ventas por fecha </span>
<hr>
        
		<div class="row">
			<div class="col-md-12">

  <div class="row">
      <div class="col-md-2  mb-2  mt-2">

        <a class="btn btn-success" href="javascript:void(0)" onClick="nueva()"><i class="bi bi-database-add"></i> Crear nueva</a>
         
       
 </div>

 <div class="col-md-3 mb-2  mt-2">
   <input type="search" id="txt_buscar" class="form-control" value="<?php echo $_GET['filtro']?>">
 </div>
  <div class="col-md-2 mb-2  mt-2">
   <input type="Date" id="fecha1" class="form-control" value="<?php echo $fecha1?>">
 </div>
  <div class="col-md-2 mb-2  mt-2">
   <input type="Date" id="fecha2" class="form-control" value="<?php echo $fecha2?>">
 </div>
 
  <div class="col-md-3 mb-2  mt-2">
        <a class="btn btn-orange mb-2  ml-2" href="#" onClick="filtrar()"><i class="bi bi-search"></i> Filtrar</a>

 </div>
 </div>    
 <script>
   function filtrar(){
    var t = $("#txt_buscar").val();
	var fecha1 = $("#fecha1").val();
	var fecha2 = $("#fecha2").val();
	
    window.location.href="todas_ventas.php?filtro="+t+"&fecha1="+fecha1+"&fecha2="+fecha2;
   }
 </script> 

				<div class="table-responsive borddfer p-3">
					<table class="table table-hover table-striped" data-page-length='8' style="width: 100%">
						

							<th>Folio</th>
							<th>Fecha</th>
              <th>Cliente</th>
              <th>Monto</th>
              <th>balance</th>
              <th>Reimprimir</th>
              <th>Opcion</th>
						
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){
              $folio = $r["id_venta"];
              $c++;
              $total+=$r["total"];
              $balance+=$r["balance"];
              $costo+=$r["costo"];
              
              ?>
							<tr>
				<td><?php echo $r["folio"]?></b></td>
                <td><span class="text-primary"><?php echo fecha($r["fecha"])?></span></td>
								<td><i class="bi bi-stickies-fill"></i> <?php echo $r["cliente"]?>
               ,<?php echo $r["ticket"]?>        
                </td>
                 <td><?php echo decimal($r["total"])?></td>
                <td><?php echo decimal($r["balance"])?></td>
               
             
               <td><a class="btn btn-success" href="javascript:void(0)" onClick="reimprimir('<?php echo $folio?>')" ><i class="bi bi-printer"></i> Imprimir</a></td>

			<td><?php if($_COOKIE["nivel"]=="Master"){?><a class="btn btn-warning" href="javascript:void(0)" onClick="ver('<?php echo $folio?>')" ><i class="bi bi-pencil-fill"></i> Ver</a><?php }?></td>
							</tr>
                                                        <?php }?>
						</tbody>
            <tfoot>
              <br>
              <th>
                Cant. ventas: <?php echo $c?>
              </th>
              <th class="text-success">
                Total: <?php echo decimal($total)?>
              </th>

              <th>
                Costo: <?php echo decimal($costo)?>
              </th>

              <th class="text-success">
              <?php if($_COOKIE["nivel"]=="Master"){?>
                Ganancias: <?php echo @decimal($total - $costo)?>
                <?php }?>
              </th>
            </tfoot>
					</table>
				</div>

		
        </div>
      </div>
      


          
</div>
    </div>

	<!---Modal Cliente-->
	<div class="modal" id="modalBusqueda" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-calendar"></i> Busqueda por fecha</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 

			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Desde</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2 font-weight-bolde" id="fecha1" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Hasta</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2" id="fecha2" name="fecha2" value="">
          </div>
        </div>

         

			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="buscar()"><i class="fa fa-w fa-save"></i> Grabar</button>


            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_producto="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from productos where id_producto='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_producto= rs.data[i].id_producto;             
                    $("#nombre").val(rs.data[i].descripcion);
                    $("#codigo").val(rs.data[i].codigo);
                    
                    $("#id").val(rs.data[i].id_producto);
                    $("#precio").val(rs.data[i].precio);
                    $("#costo").val(rs.data[i].costo);
                    $("#stock").val(rs.data[i].stock);
                    $("#proveedor option[value='"+rs.data[i].proveedor+"']").prop('selected', true);
                }
                
            })
        }
  
  function grabar_producto(){
     if(!confirm("Seguro(a) que desea registrar este producto?")){return;}                   
    
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();
     var precio = $("#precio").val();
     var costo = $("#costo").val();
     var stock = $("#stock").val();
     var proveedor = $("#proveedor").val();




     if(nombre=="" || codigo==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_producto==""){
            sql="INSERT INTO productos set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
            sql+=", proveedor='"+proveedor+"'"; 
            sql+=", stock='"+stock+"'"; 

        }else{
            sql="UPDATE productos set";
            sql+=" descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
            sql+=", proveedor='"+proveedor+"'"; 
            sql+=", stock='"+stock+"'"; 
            sql+=" WHERE id_producto='"+id_producto+"'";
           
            
        }
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
       
    })
}
  

 function borrar(){
  
     if(id_producto==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from productos where id_producto='"+id_producto+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}




function reimprimir(f){
  var impresion = localStorage.getItem("impresion");

        if(impresion=="" || impresion==null){
          impresion = "POS";

        }
        if(impresion=="POS"){
          window.location.href="ticket_factura.php?folio="+f
        }else{
          window.location.href="ticket_factura_carta2.php?folio="+f
        }

   //window.open('ticket_factura_carta2.php?folio='+f, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=700,height=800'

}


function ver(id_venta){
  window.location.href="facturacion.php?id_venta="+id_venta;
}
$("table").DataTable({
   "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
});


    function nueva(){

    window.location.href="_nueva_venta.php?caja="+myCaja+"&usuario="+myUser;
   }     
     </script>

